Bug 112541 - Cactus complains about the rhn-org-trusted-ssl-cert package before kickstarting
Cactus complains about the rhn-org-trusted-ssl-cert package before kickstarting
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Matt Jamison
Fanny Augustin
Depends On:
Blocks: 108937
  Show dependency treegraph
Reported: 2003-12-22 11:39 EST by Christian Stelter
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version: rhn320hosted
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-14 14:06:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Missing package dialog (130.54 KB, image/png)
2003-12-22 11:39 EST, Christian Stelter
no flags Details

  None (edit)
Description Christian Stelter 2003-12-22 11:39:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:

When scheduling a kickstart via web frontend Cactus complains
about the package rhn-org-trusted-ssl-cert-1.0-1 when choosing
"With System Profile" of the server which should be kickstarted.

After choosing "Do not synch package profile" I'm able to 
proceed the schedule of the kickstart.

It seems that I have to build an extra channel for this
cert package. Is this correct?

Best regards,


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to schedule a kickstart.

Actual Results:  "Missing package" (certs)

Expected Results:  A smart way to put the needed package into the
kickstart profile
without defining an extra channel for it (if this is the solution).

Additional info:
Comment 1 Christian Stelter 2003-12-22 11:39:44 EST
Created attachment 96668 [details]
Missing package dialog
Comment 2 Greg DeKoenigsberg 2004-01-12 19:12:38 EST
We now solve for this case in the web UI by allowing the user to
ignore the offending package.  What we really need, however, is to do
one of two things:

(a) Put the SSL package into a channel; or
(b) Document the bootstrap script explaining the need to put the RPM
in a channel.

Since (a) is impossible in many cases, the next best thing is to do
(b).  Todd, please document these issues in the body of the bootstrap
script itself.
Comment 3 Todd Warner 2004-01-13 18:01:15 EST
NOTE: the two fixed (currently) package names for the CA Certificate
RPMs are:

old: rhns-ca-cert-VER-REL.noarch.rpm
new: rhn-org-trusted-ssl-cert-VER-REL.noarch.rpm

Comment 4 Todd Warner 2004-01-13 18:16:31 EST
This was added to the bootstrap script. It is NOT outputed to the
screen. Review please!!!


#   A client, in order to be properly provisioned with operational SSL
needs to
#   have the SSL CA Cert installed. In order to do this, the package,
#   rhn-org-trusted-ssl-cert-<version>-<release).noarch.rpm, will need
to be
#   imported into a child channel of the pertinent base operating system
#   channel. This child channel needs to also be accessible to the client.

Comment 5 Todd Warner 2004-01-13 18:17:28 EST
Back to rnorwood to do his "skip those packages" magic.
Comment 6 Robin Norwood 2004-01-14 15:29:08 EST
The "skip those packages" magic turns out to not be feasible for
rhn310 - created bug #113511 to explain why and track this issue.

Moving this bug into on_dev to test the 'remove packages' sync feature
for kickstarts.
Comment 7 Matt Jamison 2004-02-10 11:17:06 EST
punting to joe because he has the sat knowledge for this.
Comment 8 Josef Komenda 2004-03-09 14:29:57 EST
Looks good. 

Note You need to log in before you can comment on or make changes to this bug.